#!/bin/csh -f


#ident  "@(#)b2sync.csh  1.1  98/12/03  SMI"

set logfile = "/opt/SUNWvts/bin/fttest/ftcpu.log"
set tmpfile = "/opt/SUNWvts/bin/fttest/ftcpu.tmp"
set vts_cms_cmd = "/opt/SUNWvts/bin/fttest/vts_cmsconfig"

set pri_time = $1
set pri_retry = $2
set cpusets = $3

echo "cpusets is $cpusets"
echo "pri_time is $pri_time"
echo "pri_retry is $pri_retry"

# shall we try again if we can not disable it

# TMP
# ./set_pri4sync $pri_time $pri_retry $cpusets

# max 5 min to disable the cpu
set cmd_dis = "$vts_cms_cmd 60 5 CPU $cpusets action disable"
set cmd_act = "$vts_cms_cmd $pri_time $pri_retry CPU $cpusets action"
set cmd_sts = "$vts_cms_cmd $pri_time $pri_retry CPU $cpusets state"

if(-f $logfile) then 
/usr/bin/rm -f $logfile
endif
touch $logfile

#if(-f $tmpfile) then 
#/usr/bin/rm -f $tmpfile
#endif
touch $tmpfile

set ret_string = `$cmd_act disable`
set ret_value = $status
if( $ret_value != 0 ) then
   if( $ret_value == 6 ) then
       echo b2sync disable return 6 -  `date` >> $tmpfile
	sleep $pri_time
   else
       echo b2sync disable return 41 -  `date` >> $tmpfile
	echo 41 >> $logfile
	echo $ret_value >> $logfile
	echo $ret_string >> $logfile
	exit 41
   endif
endif

echo "disabled is going to  sleep $pri_time"
echo b2sync disable `date` >> $tmpfile
echo `date`

while ($pri_retry > 0)
sleep $pri_time

set ret_string = `$cmd_sts`
set ret_value = $status

if("$ret_string" == "disabled" || "$ret_string" == "busy") then
  if("$ret_string" == "busy") then
   echo "BUSY is going to  sleep $pri_time"
   echo b2sync busy `date` >> $tmpfile
   echo `date`
   sleep $pri_time
  endif
   set ret_string = `$cmd_act enable`
   set ret_value = $status
   echo $pri_retry >> $tmpfile
   echo $ret_value >> $tmpfile
   echo $ret_string >> $tmpfile
   echo "is enabling" >> $tmpfile
   echo b2sync Sleep for enable  `date` >> $tmpfile
   echo "ENABLED is going to  sleep $pri_time"
   echo `date`
   sleep $pri_time
#pri succeed
   if($ret_value == 0 && "$ret_string" != "enabled") then 
# need fixed
#	echo 42 >> $logfile
	echo $ret_value >> $logfile
	echo $ret_string >> $logfile
        echo $pri_retry >> $tmpfile
        echo ret_value $ret_value >> $tmpfile
        echo ret_string $ret_string >> $tmpfile
        echo "enabling returns null" `date` >> $tmpfile
        sleep $pri_time
#	exit 42
   endif
endif

if("$ret_string" == "enabled") then
   echo "enable 0" >> $tmpfile
   echo 0 >> $logfile
   echo end of b2sync `date` >> $tmpfile
   
# TMP
#   ./set_prid4 $pri_time $pri_retry $cpusets
   exit 0
endif

if("$ret_string" == "disable_failed") then
   echo 43 >> $logfile
   echo $ret_value >> $logfile
   echo $ret_string >> $logfile
   echo $pri_retry >> $tmpfile
   echo $ret_value >> $tmpfile
   echo $ret_string >> $tmpfile
   echo "disable failed" `date` >> $tmpfile
   exit 43
endif

@ pri_retry--

end

   echo "done 0" >> $tmpfile
   echo $pri_retry >> $tmpfile
   echo ret_value $ret_value >> $tmpfile
   echo ret_string $ret_string >> $tmpfile
echo 0 >> $logfile
echo end of b2sync `date` >> $tmpfile
# TMP
#./set_prid4 $pri_time $pri_retry $cpusets
exit 0
