#!/bin/csh -f

#ident  "@(#)get_cpusets.csh  1.1  98/12/03  SMI"

# usage: pgm idle_time pri_time retry_no

set test_time = $1
set pri_time = $2
set pri_retry = $3
set logfile = "/opt/SUNWvts/bin/fttest/cpusets.log"
set tmpfile = "/opt/SUNWvts/bin/fttest/ftcpu.tmp"
set vts_cms_cmd = "/opt/SUNWvts/bin/fttest/vts_cmsconfig"

#set cmd = `cmsconfig -wm ft_core -n 0 -a ft_status -q`


if(-f $logfile) then 
/usr/bin/rm -f $logfile
endif
touch $logfile

#if(-f $tmpfile) then 
#/usr/bin/rm -f $tmpfile
#endif
#touch $tmpfile

sleep $test_time

#set ret_string = "fault_tolerant"
set cmd = "$vts_cms_cmd $pri_time $pri_retry ft_core 0 ft_status"

set ret_string = `$cmd`
set ret_value = $status

echo "get_cpusets-1 $cmd"  >> $tmpfile
echo "get_cpusets-3 $ret_value"  >> $tmpfile
echo "get_cpusets-4 $ret_string"  >> $tmpfile

switch ($ret_string)
   case fault_tolerant:
	set ret_value = 67
	breaksw
   case A_running:
	set ret_value = 66
	breaksw
   case B_running:
	set ret_value = 65
	breaksw
   default:
	set ret_value = 68
	breaksw
endsw
echo `date`  >> $tmpfile
echo "get_cpusets-5 $ret_value"  >> $tmpfile
echo $ret_value >> $logfile
exit 0
